Debian Bug report logs - #450895
busybox: 'mount --rbind' fails to recursively mount submounts

version graph

Package: busybox; Maintainer for busybox is Debian Install System Team <debian-boot@lists.debian.org>; Source for busybox is src:busybox.

Reported by: Frans Pop <elendil@planet.nl>

Date: Mon, 12 Nov 2007 00:09:01 UTC

Severity: normal

Tags: patch, upstream

Found in versions 1:1.18.3-1, busybox/1:1.10.2-2, busybox/1:1.1.3-5

Fixed in version busybox/1:1.19.2-2

Done: Michael Tokarev <mjt@tls.msk.ru>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.busybox.net/show_bug.cgi?id=3469

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#450895; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Debian BTS Submit <submit@bugs.debian.org>
Subject: busybox: 'mount --rbind' fails to recursively mount submounts
Date: Mon, 12 Nov 2007 01:07:30 +0100
[Message part 1 (text/plain, inline)]
Package: busybox
Version: 1:1.1.3-5

# mkdir test1
# echo foo >test1/foo
# mkdir -p test2/test
# mount --bind test1 test2/test
# ls test2/test
foo
# mkdir -p test3/test
# mount --rbind test2 test3/test
# ls test3/test/test
#

The last command should also have listed 'foo', but mount failed to 
recursively mount test2/test (i.e. test1) to test3/test/test.

The same sequence done using mount from util-linux-ng results in:
# cat /proc/mounts | grep test
/dev/sda1 /mnt/test2/test ext3 rw,relatime,data=ordered 0 0
/dev/sda1 /mnt/test3/test ext3 rw,relatime,data=ordered 0 0
/dev/sda1 /mnt/test3/test/test ext3 rw,relatime,data=ordered 0 0

Using busybox mount the last line is missing.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#450895; Package busybox. (Sun, 14 Mar 2010 00:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gunter Ohrner <G.Ohrner@post.rwth-aachen.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 14 Mar 2010 00:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 450895@bugs.debian.org (full text, mbox):

From: Gunter Ohrner <G.Ohrner@post.rwth-aachen.de>
To: 450895@bugs.debian.org
Subject: Confirmed for version 1.10.2 as well
Date: Sun, 14 Mar 2010 01:24:26 +0100
[Message part 1 (text/plain, inline)]
I can confirm this bug on Maemo 5 which is derived from Debian, package 
version:

BusyBox v1.10.2 (Debian 3:1.10.2.legal-1osso26+0m5) multi-call binary

This probably is an upstream bug, though.

-- 
*** Powered by AudioScrobbler --> http://www.last.fm/user/Interneci/ ***
18:37 | Epica - Deconstruct
18:32 | Epica - Tides of Time
18:26 | Epica - Burn to a Cinder
18:25 | Epica - The Price of Freedom
*** PGP-Verschl├╝sselung bei eMails erw├╝nscht :-) *** PGP: 0x1128F25F ***
[signature.asc (application/pgp-signature, inline)]

Bug Marked as found in versions busybox/1:1.10.2-2. Request was from Gunter Ohrner <G.Ohrner@post.rwth-aachen.de> to control@bugs.debian.org. (Sat, 20 Mar 2010 08:21:06 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.busybox.net/show_bug.cgi?id=3469'. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Wed, 09 Mar 2011 21:39:11 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 1:1.18.3-1. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Wed, 09 Mar 2011 21:39:11 GMT) Full text and rfc822 format available.

Added tag(s) upstream and patch. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Wed, 09 Mar 2011 21:39:11 GMT) Full text and rfc822 format available.

Reply sent to Michael Tokarev <mjt@tls.msk.ru>:
You have taken responsibility. (Sat, 22 Oct 2011 23:21:03 GMT) Full text and rfc822 format available.

Notification sent to Frans Pop <elendil@planet.nl>:
Bug acknowledged by developer. (Sat, 22 Oct 2011 23:21:03 GMT) Full text and rfc822 format available.

Message #23 received at 450895-close@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: 450895-close@bugs.debian.org
Subject: Bug#450895: fixed in busybox 1:1.19.2-2
Date: Sat, 22 Oct 2011 23:17:32 +0000
Source: busybox
Source-Version: 1:1.19.2-2

We believe that the bug you reported is fixed in the latest version of
busybox, which is due to be installed in the Debian FTP archive:

busybox-static_1.19.2-2_i386.deb
  to main/b/busybox/busybox-static_1.19.2-2_i386.deb
busybox-syslogd_1.19.2-2_all.deb
  to main/b/busybox/busybox-syslogd_1.19.2-2_all.deb
busybox-udeb_1.19.2-2_i386.udeb
  to main/b/busybox/busybox-udeb_1.19.2-2_i386.udeb
busybox_1.19.2-2.debian.tar.gz
  to main/b/busybox/busybox_1.19.2-2.debian.tar.gz
busybox_1.19.2-2.dsc
  to main/b/busybox/busybox_1.19.2-2.dsc
busybox_1.19.2-2_i386.deb
  to main/b/busybox/busybox_1.19.2-2_i386.deb
udhcpc_1.19.2-2_all.deb
  to main/b/busybox/udhcpc_1.19.2-2_all.deb
udhcpd_1.19.2-2_all.deb
  to main/b/busybox/udhcpd_1.19.2-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 450895@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Tokarev <mjt@tls.msk.ru> (supplier of updated busybox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 23 Oct 2011 02:47:35 +0400
Source: busybox
Binary: busybox busybox-static busybox-udeb busybox-syslogd udhcpc udhcpd
Architecture: source all i386
Version: 1:1.19.2-2
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Michael Tokarev <mjt@tls.msk.ru>
Description: 
 busybox    - Tiny utilities for small and embedded systems
 busybox-static - Standalone rescue shell with tons of builtin utilities
 busybox-syslogd - Provides syslogd and klogd using busybox
 busybox-udeb - Tiny utilities for the debian-installer (udeb)
 udhcpc     - Provides the busybox DHCP client implementation
 udhcpd     - Provides the busybox DHCP server implementation
Closes: 450895 646284
Changes: 
 busybox (1:1.19.2-2) unstable; urgency=low
 .
   * resurrect applets-fallback.patch for now,
     thank you Stefan Lippers-Hollmann for the rediff.
     This restores the (broken) initramfs usage
     (Closes: #646284)
   * s/XC-Package-Type/Package-Type/ in debian/control (lintian)
   * add default build, build-arch and build-indep targets
     to debian/rules (lintian), and remove old maintainerclean
   * forgotten for 1.19: (Closes: #450895)
Checksums-Sha1: 
 ad27edd30565544c4599556d260720d18a0d9541 1576 busybox_1.19.2-2.dsc
 2a8f8a9e1d1a9529e9fad3df1c3556ceacc2911c 41890 busybox_1.19.2-2.debian.tar.gz
 4ffe093a17fe122bb835f8b3511bc7e56be53e8c 13838 udhcpc_1.19.2-2_all.deb
 aefd92f7376bd763ae5a826efd5e7fb7c43bb984 17122 udhcpd_1.19.2-2_all.deb
 2e9d3f481d31e5b8fb8427a83115ca2886c92e78 16174 busybox-syslogd_1.19.2-2_all.deb
 7ac8f6bffb91f0e13b5945f001e6efcde383a14f 779958 busybox-static_1.19.2-2_i386.deb
 23c920b55a57cade4604b06a273418eed1772a09 340240 busybox_1.19.2-2_i386.deb
 d71c8c3e123bfb00a49952a8d8b7af92b9f11019 165496 busybox-udeb_1.19.2-2_i386.udeb
Checksums-Sha256: 
 82b51d5ffc93a3861db11417bf7b2bbb14eca345f5874f93beabfa0b24e7c267 1576 busybox_1.19.2-2.dsc
 f4c21919f28fdab74d9ec3f2bf5d5b816c2ee82897516bf09ac5a933ec1ebd81 41890 busybox_1.19.2-2.debian.tar.gz
 4a843cab57744e69bace21a333154b4d24a8d2d4e88cec38547923d80d59cbab 13838 udhcpc_1.19.2-2_all.deb
 5d66aebecf9ac6eaaf72baf33bea9f3b375efefd89367cec3065a58a7e70d1fb 17122 udhcpd_1.19.2-2_all.deb
 c526382f6237d308855ab4e9b428eeaad9cf45ef89bf2358abb460425046a23a 16174 busybox-syslogd_1.19.2-2_all.deb
 5ade580400915826e7870f87746ffb55352763ede198c3fea994e738afa2d626 779958 busybox-static_1.19.2-2_i386.deb
 234cbd00b3f05df03dd4e0ec9e5ce228d8296768ee1625896624e525f1f4b970 340240 busybox_1.19.2-2_i386.deb
 8f0d6759e03000138195ec417988a5fbd1dcda639f0e2fdb6d06fbe30b5a97d0 165496 busybox-udeb_1.19.2-2_i386.udeb
Files: 
 b28178a621b1c6653ffd924b60d2a555 1576 utils optional busybox_1.19.2-2.dsc
 8f49d7593f8159d97212b294fcc96d44 41890 utils optional busybox_1.19.2-2.debian.tar.gz
 8774eb2522ab0dabf71fce2343f6bbef 13838 net optional udhcpc_1.19.2-2_all.deb
 621916e0b173c7040f256026e4b052ba 17122 net optional udhcpd_1.19.2-2_all.deb
 a7996263821852f1e397807c866d5b9f 16174 utils optional busybox-syslogd_1.19.2-2_all.deb
 c63b904a91f07abedbeeb3f2a7aaa0b9 779958 shells extra busybox-static_1.19.2-2_i386.deb
 3434d4ff9307a6cc571a40b5320741cb 340240 utils optional busybox_1.19.2-2_i386.deb
 088edb7f9a8c6a8b692e3ef9dc1994cb 165496 debian-installer extra busybox-udeb_1.19.2-2_i386.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iJwEAQECAAYFAk6jStoACgkQUlPFrXTwyDhsdAP9Hk3itVEydh4IJx5Q2z4pJSYH
FNSqH0snRu+Li/VF2sKZ8ZqKV7iiuTh5JVcZ22P5ne1c4c2g/pJDIhFTmBa/iRjd
mcrOEY8zllvIy5Ls9iQ6idejrTeDOG/7w3tLe/jmFf4c16SRsNfWgzsZB4taNdCK
NkMqzEgPraFiiWRIpH0=
=1Csd
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 21 Nov 2011 07:39:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:21:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.